<template>
  <b-modal
    id="invitationPendingModal"
    :title="$t('page.members.inviteUserTitle')"
    :hide-footer="true"
  >
    <i18n-t
      scope="global"
      keypath="page.members.invitationPendingText"
      tag="span"
    >
      <template #email>
        <b>{{ candidateForInvitation.email }}</b>
      </template>
      <template #br>
        <br />
      </template>
    </i18n-t>
    <br />
    <b-button class="mt-3" @click="invitationPendingModal.hide()">
      {{ $t("buttons.cancel") }}
    </b-button>
  </b-modal>
</template>

<script lang="ts">
import { useModal } from "bootstrap-vue-next";

import type { ExtendedProjectInvitationDto } from "@/modules/project/types";

export default defineComponent({
  props: {
    candidateForInvitation: {
      required: true,
      type: Object as PropType<ExtendedProjectInvitationDto>,
    },
  },
  setup() {
    const invitationPendingModal = useModal("invitationPendingModal");

    return { invitationPendingModal };
  },
});
</script>
